Subject: AW: JDE 2.2.7beta4 available at ...
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 27 Mar 2001 16:35:10 +0200

ATTENTION:

In file jde-help.el the function 'jde-help-find-javadoc'
is defined twice (with different code).
This prevents "JDE->Help->Symbol at Point" from working correct!

IMHO the first definition of 'jde-help-find-javadoc' is
superfluous and old. I have commented out it and now it works.

BTW: jde-which-method updating in idle time instead after every keystroke
is one of the most useful detail-enhancements in the last JDE releases!!

Ciao,
Klaus

> -----Ursprüngliche Nachricht-----
> Von: Paul Kinnucan [mailto:[email-masked]]
> Gesendet am: Montag, 26. März 2001 17:01
> An: [email-masked]
> Cc: [email-masked]; [email-masked]; 
> [email-masked];
> [email-masked]
> Betreff: ANN: JDE 2.2.7beta4 available at ...
> 
> http://jde.sunsite.dk/
> 
> 
> My primary reason for making this release is to get feedback 
> from JDEbug
> users who have had trouble launching a debuggee process. I 
> made two changes
> to the launch process. I want to see if the changes affect the problem
> where JDEbug hangs when launching a process. Since I cannot 
> reproduce the
> problem on any of the systems I use and have only the vaguest 
> idea what the
> problem could be, I am dependent on those who have the problem to test
> potential fixes.
> 
> - Paul
> 
> 
> JDE 2.2.7beta4
> 
> ***************************************************************
> *                         PLEASE READ                         *
> ***************************************************************
> *                                                             *
> * This release requires semantic 1.3.3 (or later),            *
> * speedbar 0.13 (or later), and eieio-0.15 (or later). You    *
> * can obtain all three packages at                            *
> * http://cedet.sourceforge.net                                *
> *                                                             *
> * This release also requires elib 1.0 or later.               *
> * Your can obtain elib at the JDE web site in compressed      *
> * tar (http://sunsite.auc.dk/jde/elib.tar.gz) or              *
> * zip (http://sunsite.auc.dk/jde/elib.zip) format.            *
> *                                                             *
> ***************************************************************
> 
> * Now jde-which-method mode updates the method in the mode line 
>   during idle times instead of after every keystroke. This
>   eliminates the slowdown in keyboard navigation caused by this
>   mode in earlier releases.
> 
>   Thanks to Steven Monnier for this improvement.
> 
> * Which-method-mode is once again enabled by default. To disable
>   it, customize jde-which-method-mode to nil.
> 
> * Modified the way JDEbug launches a debuggee process. In 
>   particular, JDEbug now sets up the process standard I/O on
>   the standard I/O socket connection thread. Previously JDEbug
>   waited for the socket connect thread to die before setting
>   up the standard I/O threads. JDEbug now also writes a header
>   line to the standard I/O socket on startup. I'm hoping that
>   these changes will eliminate the startup hang problem that
>   affects some users.
> 
> 
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
> 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple